#!/bin/bash

#
# Knowledge Compilation:
# 	- Input KB: Meeting.mln
# 	- Output KB: Meeting-compiled.mln
# 	- Perform predicate completion
# 	- Simplify the knowledge base (replace predicates with their equivalences and specialise the rules)
# 	- Remove weights from all formulas
# 	- Do not translate the knowledge base into clausal form
#
mlnc -p normal -w removeAll -pcm simplification -cnf false  -i Meeting.mln -o Meeting-compiled.mln

#
# Knowledge Compilation:
# 	- Input KB: Meeting.mln
# 	- Output KB: Meeting-compiled-cnf.mln
# 	- Perform predicate completion
# 	- Simplify the knowledge base (replace predicates with their equivalences and specialise the rules)
# 	- Remove weights from all clauses
# 	- Translate the knowledge base into clausal form (Alchemy friendly format)
#
mlnc -p alchemy -w removeAll -pcm simplification -cnf true  -i Meeting.mln -o Meeting-compiled-cnf.mln



# hard-constrainted inertia rules
mlnc -p normal -fFunctionsAsPredicates true -w removeSoft -cnf true  -i Meet_src-HI.mln -o meet-HI.mln

# soft-constrainted inertia rules
mlnc -p normal -fFunctionsAsPredicates true -w removeSoft -cnf true  -i Meet_src-SI.mln -o meet-SI.mln

# soft-constrainted inertia rules only for HoldsAt
mlnc -p normal -fFunctionsAsPredicates true -w removeSoft -cnf true  -i Meet_src-SIH.mln -o meet-SIH.mln

