#!/bin/bash

#
# Knowledge Compilation:
# 	- Input KB: Moving.mln
# 	- Output KB: Moving-compiled.mln
# 	- Perform predicate completion
# 	- Simplify the knowledge base (replace predicates with their equivalences and specialise the rules)
# 	- Remove weights from all formulas
# 	- Do not translate the knowledge base into clausal form
#
mlnc -p normal -w removeAll -pcm simplification -cnf false  -i Moving.mln -o Moving-compiled.mln

#
# Knowledge Compilation:
# 	- Input KB: Moving.mln
# 	- Output KB: Moving-compiled-cnf.mln
# 	- Perform predicate completion
# 	- Simplify the knowledge base (replace predicates with their equivalences and specialise the rules)
# 	- Remove weights from all clauses
# 	- Translate the knowledge base into clausal form (Alchemy friendly format)
#
mlnc -p alchemy -w removeAll -pcm simplification -cnf true  -i Moving.mln -o Moving-compiled-cnf.mln



# hard-constrainted inertia rules
mlnc -p normal -fFunctionsAsPredicates true -w removeSoft -cnf true  -i Move_src-HI.mln -o move-HI.mln

# soft-constrainted inertia rules
mlnc -p normal -fFunctionsAsPredicates true -w removeSoft -cnf true  -i Move_src-SI.mln -o move-SI.mln

# soft-constrainted inertia rules only for HoldsAt
mlnc -p normal -fFunctionsAsPredicates true -w removeSoft -cnf true  -i Move_src-SIH.mln -o move-SIH.mln

