#!/bin/bash

# Configuration:
# --- Initiation/termination rules: soft-constrained 
# --- Inertia of HoldsAt: soft-constrained 
# --- Inertia of !HoldsAt: hard-constrained 
#
# Knowledge Compilation:
#	- Input KB: Move_src-SIH.mln
#	- Output KB: move.mln (this is the source MLN file for weight learning)
#	- Remove weights from soft-constrained formulas (-w removeSoft)
#	- Replace functions with utility predicates (-fFunctionsAsPredicates)
#	- Convert to clausal form (-cnf true)
#
mlnc -p normal -fFunctionsAsPredicates true -w removeSoft -cnf true  -i Move_src-SIH.mln -o move.mln
